local revision = tonumber(("$Revision: 62698 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-23 18:22:38 -0500 (Sat, 23 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("sct_options", "Scrolling Combat Text")
if not Addon then return end

-- constants
local TIMER_FREQ = 1
local TIMER_ID = "SCTShakedown"

-- extra actions required after the LOD addon has been loaded
function Addon:LoadActions()
    -- hook the test functions for SCTD as well, if it has been installed
    if SCTD then
        --Hook SCT ShowExample
        if (not SCTD:IsHooked(SCT, "ShowExample")) then
            SCTD:Hook(SCT, "ShowExample");
        end
        --Hook SCT ShowTest
        if (not SCTD:IsHooked(SCT, "ShowTest")) then
            SCTD:Hook(SCT, "ShowTest");
        end
    end
    
    -- successful load
    return true
    
end

function Addon:Start()
    
    -- close the sct options menu
    if ( ColorPickerFrame:IsVisible() ) then
        ColorPickerFrame:Hide();
    end
    SCT:AniInit();
    SCT:HideMenu();
    
    -- display something now
    self:Display()
    
    -- schedule a display every second
    NShakedown:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, self.Display, self)
    
end

function Addon:Stop()
    
    -- stop display scheduling
    NShakedown:RemoveTimer(TIMER_ID)

end

function Addon:Display()

   -- display some crits
    SCT:DisplayText(SCT.LOCALS.EXAMPLE, COLOUR, true, "damage", SCT.FRAME1)
    SCT:DisplayText(SCT.LOCALS.EXAMPLE2, COLOUR, true, "damage", SCT.FRAME2)
    if SCTD then
        SCT:DisplayText(SCTD.LOCALS.EXAMPLE, COLOUR, true, "damage", SCT.FRAME3)
    end

    -- display regular
    SCT:ShowTest()
    
end